Page MenuHomePhabricator

Wikidata 'Add a Wiki' install instructions out of date
Closed, ResolvedPublic

Description

https://wikitech.wikimedia.org/wiki/Add_a_wiki#Wikidata says

Make sure that the language code appears in the file client/config/WikibaseClient.default.php in the mediawiki/extensions/Wikibase repo. (Example: https://gerrit.wikimedia.org/r/288097.)

Sorting order is no longer in that file...

https://github.com/wikimedia/mediawiki-extensions-Wikibase/blob/master/client/config/WikibaseClient.default.php

Either update the instructions, or remove if no longer necessary :)

Noticed when doing stuff for T167714

Details

Related Gerrit Patches:
mediawiki/services/cxserver : masterAdd Atikamekw (atj) language
analytics/refinery : masterAdd atjwiki

Event Timeline

Reedy created this task.Jun 12 2017, 6:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2017, 6:48 PM
Reedy triaged this task as High priority.Jun 12 2017, 6:49 PM
Reedy updated the task description. (Show Details)
Reedy renamed this task from Wikidata Add a Wiki install instructions out of date to Wikidata 'Add a Wiki' install instructions out of date.Jun 12 2017, 6:55 PM

There's also still https://gerrit.wikimedia.org/r/#/c/339144/1 outstanding, to mostly replace https://wikitech.wikimedia.org/wiki/Add_a_wiki#Wikidata

It was said on CR that it wasn't needed to be run on all clients.. But the instructions still say it

Confusing, to say the least

Change 359062 abandoned by Nuria:
Add atjwiki

https://gerrit.wikimedia.org/r/359062

jhsoby added a subscriber: jhsoby.Jun 18 2017, 2:45 AM

The interwiki sorting arrays that were in client/config/WikibaseClient.default.php are now in mediawiki-config/wmf-config/InterwikiSortOrders.php,

Reedy added a comment.Jun 18 2017, 5:38 PM

Docs updated in https://wikitech.wikimedia.org/w/index.php?title=Add_a_wiki&diff=next&oldid=1762135 with https://gerrit.wikimedia.org/r/359810 made for atjwiki

(Side note: working out where languages need to go is kinda difficult, e.g. 'ast', 'gn', -- Does atj go before or after gn?

Change 359063 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Add Atikamekw (atj) language

https://gerrit.wikimedia.org/r/359063

Dcljr added a subscriber: Dcljr.Jul 15 2017, 9:59 AM

(Side note: working out where languages need to go is kinda difficult, e.g. 'ast', 'gn', -- Does atj go before or after gn?

If "gn" (Guarani / avañe'ẽ) is after "ast" (Asturian / asturianu) because of the native names of the languages, then presumably "atj" (Atikamekw / atikamekw nehiromowin) would come before "gn" (where you put it). But this is all conjecture on my part…

Reedy closed this task as Resolved.Jul 18 2017, 11:40 PM
Reedy claimed this task.